// src/widget/widget.ts
import { WidgetPackageUtils } from "@widget-js/core";
import { Widget } from "@widget-js/core";
var WebWidget = class extends Widget {
  createTime;
  updateTime;
  package;
  constructor(options) {
    super(options);
  }
  /**
   * 是否支持悬浮窗
   */
  isSupportOverlap() {
    return super.isSupportOverlap();
  }
  isSupportBackground() {
    return super.isSupportBackground();
  }
  /**
   * 是否支持普通模式
   */
  isSupportNormal() {
    return super.isSupportNormal();
  }
  isConfigurable() {
    return super.isConfigurable();
  }
  static fromJSON(json) {
    const object = JSON.parse(json);
    return this.fromObject(object);
  }
  static fromObject(obj) {
    const widget = new WebWidget({
      description: {},
      height: 0,
      keywords: [],
      lang: "zh-CN",
      name: "",
      path: "",
      previewImage: "",
      title: {},
      width: 0
    });
    Object.assign(widget, obj);
    return widget;
  }
  /**
   * 获取组件标题
   * @param lang 语言环境，不传则获取默认语言
   */
  getTitle(lang) {
    return super.getTitle(lang);
  }
  /**
   * 获取组件描述
   * @param lang 语言环境，不传则获取默认标题
   */
  getDescription(lang) {
    return super.getDescription(lang);
  }
  getPackageJsonUrl() {
    if (this.package?.remote) {
      WidgetPackageUtils.getRemotePackageJsonUrl(this.package.remote);
    }
    return void 0;
  }
};

// src/response/IResponse.ts
var R = class {
  static ok(data) {
    return { code: 200, msg: "success", data };
  }
  static fail(fail) {
    if (typeof fail == "string") {
      return { code: 500, msg: fail, data: null };
    }
    return { code: fail.code, msg: fail.msg, data: null };
  }
};
export {
  R,
  WebWidget
};
//# sourceMappingURL=index.js.map